#
# spec file for package limal (Version 1.1.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dejagnu diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat expat-32bit expect file filesystem fillup findutils flex fontconfig-32bit fop freetype2-32bit gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv java-1_4_2-sun jpackage-utils klogd less libacl libapr-util1 libapr1 libattr libcom_err libgcc libgcrypt libgpg-error libidn libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libxml2 libxslt libzio limal-devtools m4 make man mktemp module-init-tools ncurses ncurses-devel neon net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-Config-IniFiles perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline recode rpm sed sgml-skel strace subversion swig sysvinit tar tcl tcpd texinfo timezone unzip util-linux vim xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           limal
URL:            http://forge.novell.com/modules/xfmod/project/?limal
Version:        1.1.6
Release:        8.2
License:        GPL
Group:          Development/Languages/C and C++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        limal-1.1.6.tar.bz2
prefix:		/usr
%define		swiglibdir %(swig -swiglib)
#!BuildIgnore: limal limal-devel limal-perl
BuildRequires:  blocxx-devel curl gcc-c++ limal-devtools perl-gettext sgml-skel
Summary:        LiMaL--Core Library

%description
Core library of LiMaL.



%debug_package
%package devel
Requires:       limal = %version
Requires:       limal-devel, libstdc++-devel, blocxx-devel, pcre-devel
Group:          Development/Languages/C and C++
Requires:       blocxx-devel libstdc++-devel pcre-devel limal-devtools
Summary:        LiMaL--Core Library

%description devel
LiMaL - Core Library Development Files



%package perl
Requires:       limal-perl
Group:          Development/Languages/C and C++
Summary:        LiMaL--Core Library

%description perl
LiMaL - Core Library Perl Bindings



%prep
%setup -n limal-1.1.6

%build
%{prefix}/bin/limaltool limalautoconf
%{prefix}/bin/limaltool limalautomake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir} \
            --sysconfdir=/etc --localstatedir=/var
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/limal/devtools/NO_MAKE_CHECK" ] || \
           LIMALDATADIR="$RPM_BUILD_ROOT/usr/share/limal"  \
# required for perl test cases
export LD_LIBRARY_PATH="$RPM_BUILD_ROOT/usr/lib/limal"
make check DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir %{_libdir}/limal
%{_libdir}/limal/lib*.so.*

%files devel
%defattr(-,root,root)
%dir %{_libdir}/limal
%{_libdir}/limal/lib*.so
%{_libdir}/limal/lib*.la
%dir %{_includedir}/limal
%{_includedir}/limal/*.h
%{_includedir}/limal/*.hpp
%{_libdir}/pkgconfig/limal.pc
%dir %{swiglibdir}
%{swiglibdir}/limal*.i
%doc %{_prefix}/share/doc/packages/limal

%files perl
%defattr(-,root,root)
%dir %{perl_vendorarch}/auto/LIMAL
%{perl_vendorarch}/auto/LIMAL/*
%dir %{perl_vendorarch}/LIMAL
%{perl_vendorarch}/LIMAL/*
%{perl_vendorarch}/*.pm

%changelog -n limal
* Tue Mar 28 2006 - mc@suse.de
- version 1.1.6
- Fixed PathName::PathName( const PathName::List &list ); and
  PathName::List toList() const; to implement a consistent behaviour
  concerning a drive prefix.[#161329]
- Documentation added.
- Test case and out file adapted.
* Thu Mar 02 2006 - mc@suse.de
- version 1.1.5
- move INIParser to limal-ca-mgm (privat)
- add documentation
* Wed Feb 15 2006 - mc@suse.de
- version 1.1.4
- limal-devel requires limal-devtools
  [fix Bug #151145]
* Mon Feb 13 2006 - mc@suse.de
- version 1.1.3
- install all *.css and *.gif autodoc files
  fix #150393
* Wed Feb 08 2006 - mc@suse.de
- version 1.1.2
- add more common types to swig interface
  (part of a fix for [#149073])
* Fri Jan 27 2006 - mc@suse.de
- update documentation
* Fri Jan 27 2006 - mc@suse.de
- version 1.1.1
- add limal_ByteBuffer.i for %%import in other modules
  [#145378]
- fix BuildRequires
* Wed Oct 19 2005 - mt@suse.de
- merged library version handling fixes from 10.0 branch allowing
  to break the binary compatibily using minor version if required
- merged createLogger functions improvements from 10.0 branch
- merged several documentation improvements from 10.0 branch
- changed swig/perl5/Makefile.am to avoid recursive directory links
- added a first pathutils port from yast2 (needs fixes)
- improved ini parser integration (needs fixes)
- added new ByteBuffer class (may go to blocxx)
- increased version to 1.1.0
* Tue Aug 09 2005 - mt@suse.de
- Increased version to 1.0.6
* Thu Jul 28 2005 - mt@suse.de
- Temporary spec file fix to get "make check" work for perl
  tests with a liblimal.so in $RPM_BUILD_ROOT/usr/lib/limal
* Mon Jul 25 2005 - mt@suse.de
- Removed large file support consistence check
  from limal/config.h, since it breaks builds
- Replaced obsolete AX_CHECK_DOCBOOK and AX_CHECK_SWIG
  macro calls in configure.in.in with current variants
* Thu Jul 21 2005 - mt@suse.de
- Added blocxx large file support consistence
  check to the limal/config.h header file
* Tue Jul 12 2005 - mt@suse.de
- Changed to use blocxx pkg-config detection
- Added missed requires to limal-devel package
* Wed Jun 29 2005 - mt@suse.de
- added CallbackBase template class
* Tue Jun 21 2005 - mt@suse.de
- Updated to use new Perl/Posix RegEx classes
  as provided by blocxx snapshot 0.9.20050621
* Thu Jun 09 2005 - schubi@suse.de
- added more blocxx features
* Tue Apr 26 2005 - mt@suse.de
- initial checkin, version 1.0.0
